libnet-https-any-perl_0.11-1_all.deb


Advertisement

Description

libnet-https-any-perl - simple wrapper around the two available SSL modules

Distribution: Debian 8 (Jessie)
Repository: Debian Main i386
Package name: libnet-https-any-perl
Package version: 0.11
Package release: 1
Package architecture: all
Package type: deb
Installed size: 62 B
Download size: 10.32 KB
Official Mirror: ftp.br.debian.org
Net::HTTPS::Any is a simple wrapper around either of the two available SSL modules. It offers a unified API for sending GET and POST requests over HTTPS and receiving responses. It depends on Net::SSLeay _or_ ( Crypt::SSLeay and LWP::UserAgent ). Using LWP::Protocol::https 6.02 or later, the LWP path actually uses Net::SSLeay also instead of Crypt::SSLeay. Going forward that makes this module more of historical interest, especially so since modern LWP has its own mechanism to force use of Crypt::SSLeay: $Net::HTTPS::SSL_SOCKET_CLASS = "Net::SSL";

Alternatives

    Download

    Source package: libnet-https-any-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libnet-https-any-perl deb package:
      # sudo apt-get install libnet-https-any-perl

    Files

    • /usr/share/doc/libnet-https-any-perl/changelog.Debian.gz
    • /usr/share/doc/libnet-https-any-perl/changelog.gz
    • /usr/share/doc/libnet-https-any-perl/copyright
    • /usr/share/man/man3/Net::HTTPS::Any.3pm.gz
    • /usr/share/perl5/Net/HTTPS/Any.pm

    Changelog

    2014-07-27 - gregor herrmann <gregoa@debian.org> libnet-https-any-perl (0.11-1) unstable; urgency=low [ Fabrizio Regalli ] * Add myself to Uploaders and Copyright. * Switch d/compat to 8. * Build-Depends: switch to debhelper (>= 8). * Fixed lintian copyright-refers-to-symlink-license message. [ Ansgar Burchardt ] * debian/control: Convert Vcs-* fields to Git. [ Salvatore Bonaccorso ] * Change search.cpan.org based URIs to metacpan.org based URIs [ Xavier Guimard ] * Add myself to Uploaders and Copyright. * Bump debian/copyright format to 1.0 * Bump Standards-Version to 3.9.4 * Update short description [ gregor herrmann ] * New upstream release. * Update years of copyright. * Update build dependencies. * Update long description. * Declare compliance with Debian Policy 3.9.5.

    2010-05-27 - gregor herrmann <gregoa@debian.org> libnet-https-any-perl (0.10-3) unstable; urgency=low * Explicitly run only the non-network tests (closes: #583462). * Convert to source format 3.0 (quilt). * Add /me to Uploaders. * Add additional build dependencies. * Improve short and long description. * Don't install README anymore. * Update years of upstream copyright.

    2010-05-01 - Ivan Kohler <ivan-debian@420.am> libnet-https-any-perl (0.10-2) unstable; urgency=low * Remove network tests.

    2010-05-01 - Ivan Kohler <ivan-debian@420.am> libnet-https-any-perl (0.10-1) unstable; urgency=low * Initial Release (closes: Bug#579871).

    Advertisement
    Advertisement